port: 7890
socks-port: 7891
redir-port: 7892
mixed-port: 7893
tproxy-port: 7895
ipv6: false
mode: rule
log-level: silent
allow-lan: true
external-controller: 0.0.0.0:9090
secret: ""
bind-address: "*"
unified-delay: true
profile:
  store-selected: true
  store-fake-ip: true
dns:
  enable: true
  ipv6: false
  use-host: true
  enhanced-mode: fake-ip
  listen: 0.0.0.0:7874
  nameserver:
    - 174.138.21.128
    - https://doh.tiarap.org/dns-query
  fallback:
    - 188.166.206.224
    - https://doh.tiar.app/dns-query 
  default-nameserver:
    - 174.138.21.128
    - 188.166.206.224
    - 1.1.1.1
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.localdomain"
    - "*.example"
    - "*.invalid"
    - "*.localhost"
    - "*.test"
    - "*.local"
    - "*.home.arpa"
    - time.*.com
    - time.*.gov
    - time.*.edu.cn
    - time.*.apple.com
    - time1.*.com
    - time2.*.com
    - time3.*.com
    - time4.*.com
    - time5.*.com
    - time6.*.com
    - time7.*.com
    - ntp.*.com
    - ntp1.*.com
    - ntp2.*.com
    - ntp3.*.com
    - ntp4.*.com
    - ntp5.*.com
    - ntp6.*.com
    - ntp7.*.com
    - "*.time.edu.cn"
    - "*.ntp.org.cn"
    - +.pool.ntp.org
    - time1.cloud.tencent.com
    - music.163.com
    - "*.music.163.com"
    - "*.126.net"
    - musicapi.taihe.com
    - music.taihe.com
    - songsearch.kugou.com
    - trackercdn.kugou.com
    - "*.kuwo.cn"
    - api-jooxtt.sanook.com
    - api.joox.com
    - joox.com
    - y.qq.com
    - "*.y.qq.com"
    - streamoc.music.tc.qq.com
    - mobileoc.music.tc.qq.com
    - isure.stream.qqmusic.qq.com
    - dl.stream.qqmusic.qq.com
    - aqqmusic.tc.qq.com
    - amobile.music.tc.qq.com
    - "*.xiami.com"
    - "*.music.migu.cn"
    - music.migu.cn
    - "*.msftconnecttest.com"
    - "*.msftncsi.com"
    - msftconnecttest.com
    - msftncsi.com
    - localhost.ptlogin2.qq.com
    - localhost.sec.qq.com
    - +.srv.nintendo.net
    - +.stun.playstation.net
    - xbox.*.microsoft.com
    - xnotify.xboxlive.com
    - +.battlenet.com.cn
    - +.wotgame.cn
    - +.wggames.cn
    - +.wowsgame.cn
    - +.wargaming.net
    - proxy.golang.org
    - stun.*.*
    - stun.*.*.*
    - +.stun.*.*
    - +.stun.*.*.*
    - +.stun.*.*.*.*
    - heartbeat.belkin.com
    - "*.linksys.com"
    - "*.linksyssmartwifi.com"
    - "*.router.asus.com"
    - mesu.apple.com
    - swscan.apple.com
    - swquery.apple.com
    - swdownload.apple.com
    - swcdn.apple.com
    - swdist.apple.com
    - lens.l.google.com
    - stun.l.google.com
    - +.nflxvideo.net
    - "*.square-enix.com"
    - "*.finalfantasyxiv.com"
    - "*.ffxiv.com"
    - "*.mcdn.bilivideo.cn"
    - +.media.dssott.com
proxies:
  - name: sg4
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: d7117e66-fccd-4e00-8e4a-0a9ed6245f57
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg4-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg4-ws.xvless.xyz
    udp: true
  - name: sg7
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: fcf2512f-80e1-4d16-8bb8-159626e7e97a
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg7-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg7-ws.xvless.xyz
    udp: true
  - name: sg5
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: 5d6d7519-7e59-46e7-825c-69c3ca25f0d7
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg5-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg5-ws.xvless.xyz
    udp: true
  - name: sg3
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: 2cf68732-fab3-401c-bdc4-cf43a5ad32ce
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg3-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg3-ws.xvless.xyz
    udp: true
  - name: sg6
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: f55ae239-c1e0-49b3-8a3f-4beac6eb5bd0
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg6-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg6-ws.xvless.xyz
    udp: true
  - name: sg8
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: 8e1744ca-83d4-4557-b6da-ff16c1ead853
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg8-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg8-ws.xvless.xyz
    udp: true
  - name: sg1
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: 732f36b8-e761-4da2-a8cb-f0fb44c4e282
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg1-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg1-ws.xvless.xyz
    udp: true
  - name: sg2
    server: 104.17.3.81
    port: 443
    type: vless
    uuid: ea24b2ed-a4e8-4f7d-8d6c-9c4865bcba28
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: sg2-ws.xvless.xyz
    network: ws
    ws-opts:
      path: /websocket
      headers:
        Host: sg2-ws.xvless.xyz
    udp: true
proxy-groups:
  - name: Global
    type: select
    proxies:
      - sg4
      - sg7
      - sg5
      - sg3
      - sg6
      - sg8
      - sg1
      - sg2
      - PING
      - LOADS
      - DIRECT
  - name: PING
    type: url-test
    url: http://imns.my.id
    interval: 300
    tolerance: 50
    proxies:
      - sg4
      - sg7
      - sg5
      - sg3
      - sg6
      - sg8
      - sg1
      - sg2
  - name: "LOADS"
    type: load-balance
    url: http://imns.my.id
    interval: 300
    proxies:
      - sg4
      - sg7
      - sg5
      - sg3
      - sg6
      - sg8
      - sg1
      - sg2
rules:
  - MATCH,Global